Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598637 - gdm accounts service integration doesn't handle ambiguous and empty real names well
gdm accounts service integration doesn't handle ambiguous and empty real name...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 14:42 EDT by Ray Strode [halfline]
Modified: 2012-08-16 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2010-06-01 14:42:41 EDT
See below conversation:

<mezcalero> i.e. gdm+accountsservice results in "" and "(test2)"
<mezcalero> gdm alone results in "test1" and "test2"
<halfline> ah
<mezcalero> and no quotes are actually shown
<davidz> parenthesis?
<mezcalero> klammern!
<davidz> parentheses even ;-)
<halfline> ohhhh
<halfline> okay it makes sense now
<halfline> perfect sense
<mezcalero> not to me ;-)
<halfline> i'll explain
<halfline> if two users are both named "John Smith"
<halfline> then they get changed to "John Smith (jsmith)" etc
<halfline> i mean it adds the username in to disambiguate
<halfline> so if two users are both named ""
<halfline> then you're going to get "" followed by " (username)"
<mezcalero> hmm
<halfline> the fact that one is showing up as just ""
<halfline> indicates there's an additional bug
<mezcalero> but it should add the (username) to both names...
<halfline> right
<halfline> that's the additional bug
<halfline> so gdm has two bugs here
<halfline> 1) It's not detecting empty string for real name and doing the right thing
<halfline> 2) when duplicate names happen it's only disambiguating one of the names apparently
<halfline> when it should be disambiguating both
<mezcalero> halfline: ah, sounds like you want to file the bug then! ;-)
<halfline> well i can file it...
<halfline> ultimately i need to fix it though
<halfline> that's the really important part..making sure it's fixed before f14
<mezcalero> shouldn't it be accountsservice which disambiguates that?
<halfline> well, it's debateable
<halfline> but given the api, i'd say no
<mezcalero> well, every app using this will run into the same probs i'd presume
<mezcalero> so it could just expose username, realname, displayname
<mezcalero> or so
<halfline> yea might make sense to add a new property for DisplayName
<halfline> probably does in fact
<halfline> right now it only has UserName and RealName
<mezcalero> and then you could deal with both the empty names and the disambiguation in there
<mezcalero> and apps can be simple
<halfline> alright you've convinced me
<mezcalero> yay!
Comment 1 Bug Zapper 2010-07-30 07:46:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael Schwendt 2011-02-16 17:25:54 EST
Is this about what I'm experiencing with F15 Alpha.TC2? Since firstboot has failed, I've added a test user manually with "useradd". In the GNOME login screen, no name is displayed at all for this user. There's just the user icon and empty space to click on.
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 11:33:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-06-21 11:36:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-06-21 11:38:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-06-21 11:41:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:50:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:53:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:55:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:57:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2012-08-16 16:09:38 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.